Bug 176659 - www/apache22 2.2.24 build error
www/apache22 2.2.24 build error
Status: Closed Overcome By Events
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: apache
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-05 08:00 UTC by admin
Modified: 2014-07-26 21:08 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description admin 2013-03-05 08:00:00 UTC
port: www/apache22]
Upgrading from apache22-2.2.23_4 to apache22-2.2.23 causes error:

/usr/ports/www/apache22/work/httpd-2.2.24/support/ab.c:2246: undefined reference to `TLSv1_2_client_method'
/usr/ports/www/apache22/work/httpd-2.2.24/support/ab.c:2244: undefined reference to `TLSv1_1_client_method'
*** [ab] Error code 1
1 error
*** [all-recursive] Error code 1
1 error
*** [all-recursive] Error code 1
1 error
*** [do-build] Error code 1

Stop in /usr/ports/www/apache22.
*** [build] Error code 1

Stop in /usr/ports/www/apache22.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20130305-39695-cy6baw-0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=apache22-2.2.23_4 UPGRADE_PORT_VER=2.2.23_4 make
** Fix the problem and try again.

How-To-Repeat: use portupgrade for upgrading port "www/apache22"
Comment 1 Edwin Groothuis freebsd_committer 2013-03-05 16:34:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-03-05 22:00:21 UTC
Author: ohauer
Date: Tue Mar  5 22:00:14 2013
New Revision: 313481
URL: http://svnweb.freebsd.org/changeset/ports/313481

Log:
  - disable new ab SSL extensions until a better way is found.
  
    only builds with OpenSSL from ports are affected which is
    not default, so no version bump.
  
  Noted on the apache@ list by Jukka A. Ukkonen <jau@iki.fi>
  and per PR by Arnis Rozentals <admin@liepajaport.lv>
  
  PR:		176659

Modified:
  head/www/apache22/files/patch-support__ab.c

Modified: head/www/apache22/files/patch-support__ab.c
==============================================================================
--- head/www/apache22/files/patch-support__ab.c	Tue Mar  5 20:47:17 2013	(r313480)
+++ head/www/apache22/files/patch-support__ab.c	Tue Mar  5 22:00:14 2013	(r313481)
@@ -1,5 +1,17 @@
 --- ./support/ab.c.orig	2010-01-07 10:11:53.000000000 -0500
 +++ ./support/ab.c	2010-05-06 19:37:54.262732305 -0400
+@@ -200,9 +200,11 @@
+ #else
+ #define AB_SSL_CIPHER_CONST
+ #endif
++/* prevent build issues with openssl from ports
+ #ifdef SSL_OP_NO_TLSv1_2
+ #define HAVE_TLSV1_X
+ #endif
++*/
+ #endif
+ 
+ #include <math.h>
 @@ -221,13 +221,18 @@
  /* maximum number of requests on a time limited test */
  #define MAX_REQUESTS (INT_MAX > 50000 ? 50000 : INT_MAX)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Olli Hauer freebsd_committer 2013-03-05 22:00:35 UTC
State Changed
From-To: open->analyzed

Thanks for the PR, I submitted a workaround and hope 
to find a better fix in near time.
Comment 4 Olli Hauer freebsd_committer 2014-04-05 22:16:32 UTC
State Changed
From-To: analyzed->closed

Fixed meanwhile on upstrem.
Comment 5 Olli Hauer freebsd_committer 2014-04-05 23:08:06 UTC
State Changed
From-To: closed->analyzed

- set status back to analyzed, patch is not included by upstrem
Comment 6 Olli Hauer freebsd_committer 2014-07-26 21:08:22 UTC
fixed on upstream and already included in the last apache releases